Assign multiple folders to multiple threads
POST
/openapi/folderthreads/assignfolderstothreads
const url = 'https://open-api.replyco.com/openapi/folderthreads/assignfolderstothreads';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '[ { "folderId": "8a4c2e6f-1b9d-4e7a-b3c5-6f2d8a1e9c47", "threadId": "7d2e9b14-5c3a-4f61-9a8e-2b6c0d4e1f37" }, { "folderId": "d5b9e3a7-2c6f-4d1b-8e4a-7f3c1b9d6e52", "threadId": "7d2e9b14-5c3a-4f61-9a8e-2b6c0d4e1f37" } ]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://open-api.replyco.com/openapi/folderthreads/assignfolderstothreads \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '[ { "folderId": "8a4c2e6f-1b9d-4e7a-b3c5-6f2d8a1e9c47", "threadId": "7d2e9b14-5c3a-4f61-9a8e-2b6c0d4e1f37" }, { "folderId": "d5b9e3a7-2c6f-4d1b-8e4a-7f3c1b9d6e52", "threadId": "7d2e9b14-5c3a-4f61-9a8e-2b6c0d4e1f37" } ]'Bulk operation to assign folders (labels) to threads. Each element in the array represents one folder-thread association.
This is useful when you want to assign multiple labels to one or more threads in a single operation.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Array of folder-thread associations to create
Array<object>
object
id
string format: uuid
folderId
Folder Id
string format: uuid
threadId
Thread Id
string format: uuid
Example
[ { "folderId": "8a4c2e6f-1b9d-4e7a-b3c5-6f2d8a1e9c47", "threadId": "7d2e9b14-5c3a-4f61-9a8e-2b6c0d4e1f37" }, { "folderId": "d5b9e3a7-2c6f-4d1b-8e4a-7f3c1b9d6e52", "threadId": "7d2e9b14-5c3a-4f61-9a8e-2b6c0d4e1f37" }]Array<object>
object
id
string format: uuid
folderId
Folder Id
string format: uuid
threadId
Thread Id
string format: uuid
Example generated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "folderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threadId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]Array<object>
object
id
string format: uuid
folderId
Folder Id
string format: uuid
threadId
Thread Id
string format: uuid
Example generated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "folderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threadId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]Array<object>
object
id
string format: uuid
folderId
Folder Id
string format: uuid
threadId
Thread Id
string format: uuid
Example generated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "folderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threadId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]Responses
Section titled “Responses”Folders were assigned successfully
Invalid request data
User is not authenticated